import { ToDo } from "../lib/models.js";
import nunjucks from "nunjucks";

export const get = async (req, rep) => {
  const todo_list = await ToDo.all({});
  rep.code(200).send(todo_list);
}

export const post = async (req, rep) => {
  if(req.query.todo_id !== undefined) {
    await ToDo.delete({id: req.query.todo_id});
  } else {
    await ToDo.insert({task: req.body.task});
  }

  await get(req, rep);
}
