
exports.up = async (knex) => {
  await knex.raw('PRAGMA journal_mode=WAL;');

  await knex.schema.createTable('todo', (table) => {
    table.timestamps(true, true);
    table.increments('id');
    table.string("task").notNullable();
  });
};

exports.down = async (knex) => {
  await knex.schema.dropTable("todo");
};
